# Drive API . properties

## Instance Methods

Deletes a property.

Gets a property by its key.

Adds a property to a file.

Lists a file's properties.

Updates a property. This method supports patch semantics.

Updates a property.

### Method Details

`delete(fileId, propertyKey, visibility=None)`

    Deletes a property.

    Args:
      fileId: string, The ID of the file. (required)
      propertyKey: string, The key of the property. (required)
      visibility: string, The visibility of the property.

`get(fileId, propertyKey, visibility=None)`

    Gets a property by its key.

    Args:
      fileId: string, The ID of the file. (required)
      propertyKey: string, The key of the property. (required)
      visibility: string, The visibility of the property.

    Returns:
      An object of the form:

        { # A key-value pair that is either public or private to an application.
        "kind": "drive#property", # This is always drive#property.
        "value": "A String", # The value of this property.
        "etag": "A String", # ETag of the property.
        "visibility": "A String", # The visibility of this property.
        "key": "A String", # The key of this property.
        "selfLink": "A String", # The link back to this property.
      }

`insert(fileId, body)`

    Adds a property to a file.

    Args:
      fileId: string, The ID of the file. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # A key-value pair that is either public or private to an application.
      "kind": "drive#property", # This is always drive#property.
      "value": "A String", # The value of this property.
      "etag": "A String", # ETag of the property.
      "visibility": "A String", # The visibility of this property.
      "key": "A String", # The key of this property.
      "selfLink": "A String", # The link back to this property.
    }

    Returns:
      An object of the form:

        { # A key-value pair that is either public or private to an application.
        "kind": "drive#property", # This is always drive#property.
        "value": "A String", # The value of this property.
        "etag": "A String", # ETag of the property.
        "visibility": "A String", # The visibility of this property.
        "key": "A String", # The key of this property.
        "selfLink": "A String", # The link back to this property.
      }

`list(fileId)`

    Lists a file's properties.

    Args:
      fileId: string, The ID of the file. (required)

    Returns:
      An object of the form:

        { # A collection of properties, key-value pairs that are either public or private to an application.
        "items": [ # The list of properties.
          { # A key-value pair that is either public or private to an application.
            "kind": "drive#property", # This is always drive#property.
            "value": "A String", # The value of this property.
            "etag": "A String", # ETag of the property.
            "visibility": "A String", # The visibility of this property.
            "key": "A String", # The key of this property.
            "selfLink": "A String", # The link back to this property.
          },
        ],
        "kind": "drive#propertyList", # This is always drive#propertyList.
        "etag": "A String", # The ETag of the list.
        "selfLink": "A String", # The link back to this list.
      }

`patch(fileId, propertyKey, body, visibility=None)`

    Updates a property. This method supports patch semantics.

    Args:
      fileId: string, The ID of the file. (required)
      propertyKey: string, The key of the property. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # A key-value pair that is either public or private to an application.
      "kind": "drive#property", # This is always drive#property.
      "value": "A String", # The value of this property.
      "etag": "A String", # ETag of the property.
      "visibility": "A String", # The visibility of this property.
      "key": "A String", # The key of this property.
      "selfLink": "A String", # The link back to this property.
    }

      visibility: string, The visibility of the property.

    Returns:
      An object of the form:

        { # A key-value pair that is either public or private to an application.
        "kind": "drive#property", # This is always drive#property.
        "value": "A String", # The value of this property.
        "etag": "A String", # ETag of the property.
        "visibility": "A String", # The visibility of this property.
        "key": "A String", # The key of this property.
        "selfLink": "A String", # The link back to this property.
      }

`update(fileId, propertyKey, body, visibility=None)`

    Updates a property.

    Args:
      fileId: string, The ID of the file. (required)
      propertyKey: string, The key of the property. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # A key-value pair that is either public or private to an application.
      "kind": "drive#property", # This is always drive#property.
      "value": "A String", # The value of this property.
      "etag": "A String", # ETag of the property.
      "visibility": "A String", # The visibility of this property.
      "key": "A String", # The key of this property.
      "selfLink": "A String", # The link back to this property.
    }

      visibility: string, The visibility of the property.

    Returns:
      An object of the form:

        { # A key-value pair that is either public or private to an application.
        "kind": "drive#property", # This is always drive#property.
        "value": "A String", # The value of this property.
        "etag": "A String", # ETag of the property.
        "visibility": "A String", # The visibility of this property.
        "key": "A String", # The key of this property.
        "selfLink": "A String", # The link back to this property.
      }